[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishEncryptStream.Write

Write data to the stream

## Declaration

Source position: blowfish.pp line 71

`public function TBlowFishEncryptStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer containing data to be written.
`Count` |  | Number of bytes to write.

## Function result

Actual number of bytes written

## Description

Write will encrypt and write Count bytes from Buffer to the destination stream. The function returns the actual number of bytes written. The data is not encrypted in-place, but placed in a special buffer for encryption.

Data is always written 4 bytes at a time, since this is the amount of bytes required by the Blowfish algorithm. If no multiple of 4 was written to the destination stream, the Flush mechanism can be used to write the remaining bytes.

## See also

TBlowFishEncryptStream.Read |  | Read data from the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net .